Debian Bug report logs - #478930
[checks/copyright-file] check for new copyright format

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Mathieu Parent <sathieu@debian.org>

Date: Thu, 1 May 2008 19:48:01 UTC

Owned by: Jakub Wilk <jwilk@debian.org>

Severity: wishlist

Tags: moreinfo

Merged with 633779

Found in versions lintian/2.5.1, lintian/1.23.46

Fixed in version lintian/2.5.3

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Thu, 01 May 2008 21:45:34 +0200
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 1.23.46
Severity: wishlist
Tags: patch

The files add checks for the proposal:
http://wiki.debian.org/Proposals/CopyrightFormat

I hope this implementation will help to clarify things.

To enable, copy:
- copyright-specification to /usr/share/lintian/checks/
- copyright-specification.desc to /usr/share/lintian/checks/
- DebianCopyrightParser.pm to /usr/share/lintian/lib

and check with -I

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-xen-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils            2.18.1~cvs20080103-4 The GNU assembler, linker and bina
ii  diffstat            1.45-2               produces graph of changes introduc
ii  dpkg-dev            1.14.18              package building tools for Debian
ii  file                4.23-2               Determines file type using "magic"
ii  gettext             0.17-2               GNU Internationalization utilities
ii  intltool-debian     0.35.0+20060710.1    Help i18n of RFC822 compliant conf
ii  libparse-debianchan 1.1.1-2              parse Debian changelogs and output
ii  liburi-perl         1.35.dfsg.1-1        Manipulates and accesses URI strin
ii  man-db              2.5.1-3              on-line manual pager
ii  perl [libdigest-md5 5.8.8-12             Larry Wall's Practical Extraction 

lintian recommends no packages.

-- no debconf information
[copyright-specification (text/x-pascal, attachment)]
[copyright-specification.desc (text/plain, attachment)]
[DebianCopyrightParser.pm (text/x-pascal, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 478930@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Debian Bug Tracking System <478930@bugs.debian.org>
Subject: lintian: More info
Date: Thu, 01 May 2008 22:04:09 +0200
Package: lintian
Version: 1.23.46
Followup-For: Bug #478930

What this code do:
- parse the copyright file by sections (header, files, license, notice)
- report not rfc2822 copyright file
- report any missing field
- report unknown field
- report duplicated field (within a section)
- report free text
- check if all files are described in the copyright file, by expanding
  patterns
- check that all patterns match something

TODO:
- adapt to spec, if it changes
- implement match order (currently not needed)
- check if file header correspond to the copyright file (copyright,
  license)
- enhance doc
- ...

Please give feedback.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 478930@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 478930@bugs.debian.org
Subject: Re: Bug#478930: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Thu, 01 May 2008 13:45:59 -0700
Mathieu Parent <math.parent@gmail.com> writes:

> Package: lintian
> Version: 1.23.46
> Severity: wishlist
> Tags: patch
>
> The files add checks for the proposal:
> http://wiki.debian.org/Proposals/CopyrightFormat
>
> I hope this implementation will help to clarify things.
>
> To enable, copy:
> - copyright-specification to /usr/share/lintian/checks/
> - copyright-specification.desc to /usr/share/lintian/checks/
> - DebianCopyrightParser.pm to /usr/share/lintian/lib

lib/Lintian/Parse/Copyright.pm or something along those lines would be
better.  I'm trying to move lintian into a proper Perl namespace habit so
that eventually we can install the lintian Perl modules into the regular
Perl module search path.

> and check with -I

It might be a bit premature to warn if people aren't using that format.
I've personally not started using it, for example, largely because it
doesn't yet have a standardized way of including all the things that
*aren't* just copyrights and licenses that belong in debian/copyright.

Checking the syntax if people are using it is certainly a good idea.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to "Mathieu PARENT" <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 478930@bugs.debian.org (full text, mbox):

From: "Mathieu PARENT" <math.parent@gmail.com>
To: "Russ Allbery" <rra@debian.org>
Cc: 478930@bugs.debian.org
Subject: Re: Bug#478930: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Thu, 1 May 2008 22:55:57 +0200
On Thu, May 1, 2008 at 10:45 PM, Russ Allbery <rra@debian.org> wrote:
> Mathieu Parent <math.parent@gmail.com> writes:
>
>  > Package: lintian
>  > Version: 1.23.46
>  > Severity: wishlist
>  > Tags: patch
>  >
>  > The files add checks for the proposal:
>  > http://wiki.debian.org/Proposals/CopyrightFormat
>  >
>  > I hope this implementation will help to clarify things.
>  >
>  > To enable, copy:
>  > - copyright-specification to /usr/share/lintian/checks/
>  > - copyright-specification.desc to /usr/share/lintian/checks/
>  > - DebianCopyrightParser.pm to /usr/share/lintian/lib
>
>  lib/Lintian/Parse/Copyright.pm or something along those lines would be
>  better.  I'm trying to move lintian into a proper Perl namespace habit so
>  that eventually we can install the lintian Perl modules into the regular
>  Perl module search path.

Ok

>  > and check with -I
>
>  It might be a bit premature to warn if people aren't using that format.
>  I've personally not started using it, for example, largely because it
>  doesn't yet have a standardized way of including all the things that
>  *aren't* just copyrights and licenses that belong in debian/copyright.
>
>  Checking the syntax if people are using it is certainly a good idea.

It it like it behave: it checks for the format-specification field. If it
does not  exists then it only shows an I: debian-copyright-no-specification.
If it exists, the checks go deeper. Most of the following checks gives a
warning.


>  --
>  Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #25 received at 478930@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: "Mathieu PARENT" <math.parent@gmail.com>
Cc: 478930@bugs.debian.org
Subject: Re: Bug#478930: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Thu, 01 May 2008 14:16:28 -0700
"Mathieu PARENT" <math.parent@gmail.com> writes:

> It it like it behave: it checks for the format-specification field. If
> it does not exists then it only shows an I:
> debian-copyright-no-specification.  If it exists, the checks go
> deeper. Most of the following checks gives a warning.

Making it an I: tag means that Lintian is recommending that everyone use
the new format.  Are we sure we're okay with that?  If we are, that's
fine, but I think it's worth thinking about a bit first.  I've not gotten
the impression that the new format has been adopted very widely outside of
a few scattered groups, so we're basically adding an I: tag for almost the
entire archive.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to "Mathieu PARENT" <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #30 received at 478930@bugs.debian.org (full text, mbox):

From: "Mathieu PARENT" <math.parent@gmail.com>
To: "Russ Allbery" <rra@debian.org>
Cc: 478930@bugs.debian.org
Subject: Re: Bug#478930: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Thu, 1 May 2008 23:32:17 +0200
On Thu, May 1, 2008 at 11:16 PM, Russ Allbery <rra@debian.org> wrote:
> "Mathieu PARENT" <math.parent@gmail.com> writes:
>
>
>  Making it an I: tag means that Lintian is recommending that everyone use
>  the new format.  Are we sure we're okay with that?  If we are, that's
>  fine, but I think it's worth thinking about a bit first.  I've not gotten
>  the impression that the new format has been adopted very widely outside of
>  a few scattered groups, so we're basically adding an I: tag for almost the
>  entire archive.

Agree. This bug is not really for inclusion now. It is part of the proposal
(implementation part).

Also, I'm not a DD. I've done this because I think it is important and this is
in the NM tasks (http://wiki.debian.org/NMTasks).

The choice about including it is to DD. If I have more feedback (or after lenny
release ?) I can send a mail to debian-devel@.

It may also be flagged experimental or notes
(http://lintian.debian.org/manual/ch2.html).

>
>
> Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #35 received at 478930@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Russ Allbery <rra@debian.org>, 478930@bugs.debian.org
Cc: Mathieu PARENT <math.parent@gmail.com>
Subject: Re: Bug#478930: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Thu, 1 May 2008 23:48:05 +0200
On Thu, May 01, 2008 at 02:16:28PM -0700, Russ Allbery wrote:
> "Mathieu PARENT" <math.parent@gmail.com> writes:
> > It it like it behave: it checks for the format-specification field. If
> > it does not exists then it only shows an I:
> > debian-copyright-no-specification.  If it exists, the checks go
> > deeper. Most of the following checks gives a warning.
> 
> Making it an I: tag means that Lintian is recommending that everyone use
> the new format.  Are we sure we're okay with that?  If we are, that's
> fine, but I think it's worth thinking about a bit first.  I've not gotten
> the impression that the new format has been adopted very widely outside of
> a few scattered groups, so we're basically adding an I: tag for almost the
> entire archive.

Yeah, I would leave that out, too.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #40 received at 478930@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Mathieu Parent <math.parent@gmail.com>, 478930@bugs.debian.org
Subject: Re: Bug#478930: lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)
Date: Fri, 2 May 2008 00:02:13 +0200
On Thu, May 01, 2008 at 09:45:34PM +0200, Mathieu Parent wrote:
> The files add checks for the proposal:
> http://wiki.debian.org/Proposals/CopyrightFormat

That specification seems to be still very volatile, from what I can see
from the changelog.

> # control-file -- lintian check script -*- perl -*-
> #
> # Copyright (C) 2004 Marc Brockschmidt

?

> 		# Check that every file in the tree has a license
> 		my $command = 'cd unpacked && find . -type f -a -not \( -false';
> 		foreach my $section (@data) {
> 			next if not $section->{files};
> 			#patterns are comma separated
> 			#TODO: manage quoted strings with comma in it
> 			$command .= ' -o -path ./'.join(' -o -path ./', split m/,\s/, $section->{files});
> 	
> 		}
> 		$command .= ' \) ; cd .. ';
> 		my $files_without_copyright = `$command`;
> 		if ($files_without_copyright) {
> 			foreach my $file (split '\n', $files_without_copyright) {
> 				tag 'debian-copyright-file-without-copyright', $file;
> 			}
> 		}

Hmm, there must be a better way to check that. I'm pretty sure we have a
list of files already available somewhere in the lintian working
directory. (If we haven't, we should)

> 		# Check that every pattern match something
> 		foreach my $section (@data) {
> 			#next section if this is not a files section
> 			next if not $section->{files};
> 			#files are comma separated
> 			#TODO: manage quoted strings (with comma in it)
> 			my @patterns = split m/,\s/, $section->{files} ;
> 			foreach my $pattern (@patterns) {
> 				if (not `ls -l && cd unpacked && find . -type f -a -path $pattern ; cd ..`) {
> 					tag 'debian-copyright-section-without-match', $pattern ;
> 				}
> 			}
> 		}
> 	}

Same here.

> Tag: debian-copyright-unknown-field
> Type: warning
> Info: The package contains a copyright file that as an unknown field.

Typo s/as/has/

> Tag: debian-copyright-file-without-copyright
> Type: warning
> Info: The package contains a copyright file that does match the specified file.

? That makes no sense.

> Tag: debian-copyright-section-without-match
> Type: warning
> Info: The package contains a copyright file which has a section which does
>  match any file.

s/does/doesn't/ maybe?

> 	# pgp sig? -> skip until end of signature
> 	elsif (m/^-----BEGIN PGP SIGNATURE/) {
> 	    while (<$COPYRIGHT>) {
> 		$line_number++;
> 		last if m/^-----END PGP SIGNATURE/o;
> 	    }
> 	}
> 	# other pgp control? -> skip until the next blank line
> 	elsif (m/^-----BEGIN PGP/) {
> 	    while (<$COPYRIGHT>) {
> 		$line_number++;
> 		last if /^\s*$/o;
> 	    }
> 	}

Since when can copyright files contain signatures?

> 	# new field?
> 	elsif (m/^(\S+):\s*(.*)$/o) {
> 	    my ($tag,$value) = (lc $1,$2);
> 	    #format-specification, files and notice always start a section
> 	    if($tag =~ /format-specification|files|notice/i) {

You already make an lc on $tag, no need to make all the regexes
case-insensitive.

> # not used

So why is it included?

> sub _ensure_file_is_sane {

Please use the one from Util.pm

>     my ($file) = @_;
> 
>     # if file exists and is not 0 bytes
>     if (-f $file and -s $file) {
> 	return 1;
>     }
>     return 0;
> }
> 
> # ------------------------
> 
> sub fail {

Please use the one from Util.pm

>     my $str = "internal error";
>     if (@_) {
> 	$str .= ": ".join( "\n", @_)."\n";
>     } elsif ($!) {
> 	$str .= ": $!\n";
>     } else {
> 	$str .= ".\n";
>     }
>     $! = 2; # set return code outside eval()
>     die $str;

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to "Mathieu PARENT" <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #45 received at 478930@bugs.debian.org (full text, mbox):

From: "Mathieu PARENT" <math.parent@gmail.com>
To: 478930@bugs.debian.org
Subject: version 2
Date: Fri, 2 May 2008 18:00:42 +0200
[Message part 1 (text/plain, inline)]
Hi,

This is version 2.
The path are now: /usr/share/lintian/lib/Lintian/Parser/Copyright.pm,
/usr/share/lintian/checks/copyright-specification and
/usr/share/lintian/checks/copyright-specification.desc

Thanks Frank and Russ for your comments.

I don't know how to mark as experimental. What is the best solution ?
- keep in the bts only
- put into lintian, disabled by default (enabled with some environment
variable like LINTIAN_COPYRIGHT_PROPOSAL=1)
- put in lintian, as experimental/debug

Solution 1 is probably better for now.

Mathieu
[Copyright.pm (application/x-perl, attachment)]
[copyright-specification (application/octet-stream, attachment)]
[copyright-specification.desc (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #50 received at 478930@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: Mathieu PARENT <math.parent@gmail.com>
Cc: 478930@bugs.debian.org
Subject: Re: version 2
Date: Tue, 13 May 2008 12:51:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Fri, May 02, 2008 at 06:00:42PM +0200, Mathieu PARENT wrote:
> I don't know how to mark as experimental. What is the best solution ?
> - keep in the bts only
> - put into lintian, disabled by default (enabled with some environment
> variable like LINTIAN_COPYRIGHT_PROPOSAL=1)
> - put in lintian, as experimental/debug
> 
> Solution 1 is probably better for now.

I think it would be good, assuming that the tests are good (not too many
false positives in particular), to include it in lintian and enable it
by default.  However, it should be completely silent if it encounters a
copyright file which is not in the format.

It would be nice to have checks for people who use the format, but
people who don't shouldn't be bothered with it.  Since people want
lintian to be completely silent when things are good, even an I: tag
should be considered too loud.

Thanks,
Bas

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://pcbcn10.phys.rug.nl/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #55 received at 478930@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: 478930@bugs.debian.org
Subject: errors while using the check files under Ubuntu/Hardy
Date: Tue, 09 Sep 2008 19:04:48 -0500
[Message part 1 (text/plain, inline)]
I am not sure if I am doing things with these files which I am not
supposed to do (I use Ubuntu/Hardy lintian on my sid package), but I get
the following output. It look to me that find errors are a bug? I put in
one instance each file on a new line (with the first line empty after
"Files:", might that be the problem? And why do the checks try to
execute the xpm file? The source of my package are available at [1].

paul@etna /var/cache/pbuilder/sid-i386/result $ lintian -I -i
winff_0.42-2_i*
W: winff source: debian-copyright-unknown-field packaged-by
N:
N:   The package contains a copyright file that has an unknown field.
N:
W: winff source: debian-copyright-unknown-field packaged-date
find: paths must precede expression
Usage: find [-H] [-L] [-P] [path...] [expression]
sh: debian/winff.xpm: Permission denied
find: paths must precede expression
Usage: find [-H] [-L] [-P] [path...] [expression]
find: paths must precede expression
Usage: find [-H] [-L] [-P] [path...] [expression]
find: paths must precede expression
Usage: find [-H] [-L] [-P] [path...] [expression]
find: paths must precede expression
Usage: find [-H] [-L] [-P] [path...] [expression]
find: missing argument to `-path'
sh: debian/winff.xpm: Permission denied

[1] http://mentors.debian.net/debian/pool/main/w/winff/

Paul

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #60 received at 478930@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Paul Gevers <paul@climbing.nl>, 478930@bugs.debian.org
Subject: Re: Bug#478930: errors while using the check files under Ubuntu/Hardy
Date: Wed, 10 Sep 2008 19:27:58 +0200
On Tue, Sep 09, 2008 at 07:04:48PM -0500, Paul Gevers wrote:
> I am not sure if I am doing things with these files which I am not
> supposed to do (I use Ubuntu/Hardy lintian on my sid package), but I get
> the following output. It look to me that find errors are a bug? I put in
> one instance each file on a new line (with the first line empty after
> "Files:", might that be the problem? And why do the checks try to
> execute the xpm file? The source of my package are available at [1].
> 
> paul@etna /var/cache/pbuilder/sid-i386/result $ lintian -I -i
> winff_0.42-2_i*
> W: winff source: debian-copyright-unknown-field packaged-by
> N:
> N:   The package contains a copyright file that has an unknown field.
> N:
> W: winff source: debian-copyright-unknown-field packaged-date
> find: paths must precede expression
> Usage: find [-H] [-L] [-P] [path...] [expression]
> sh: debian/winff.xpm: Permission denied
> find: paths must precede expression
> Usage: find [-H] [-L] [-P] [path...] [expression]
> find: paths must precede expression
> Usage: find [-H] [-L] [-P] [path...] [expression]
> find: paths must precede expression
> Usage: find [-H] [-L] [-P] [path...] [expression]
> find: paths must precede expression
> Usage: find [-H] [-L] [-P] [path...] [expression]
> find: missing argument to `-path'
> sh: debian/winff.xpm: Permission denied

I can reproduce that with sid's lintian nor with hardy's lintian
on a sid system.

It might be helpful if you could add --debug to above commandline
and provide the output.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Tags added: moreinfo Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 17:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #67 received at 478930@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Paul Gevers <paul@climbing.nl>, 478930@bugs.debian.org
Subject: Re: Bug#478930: errors while using the check files under Ubuntu/Hardy
Date: Wed, 10 Sep 2008 20:59:32 +0200
On Wed, Sep 10, 2008 at 07:27:58PM +0200, Frank Lichtenheld wrote:
> I can reproduce that with sid's lintian nor with hardy's lintian
> on a sid system.

Hrm, I obviously meant "can't" and I also was confused about the fact
that this was about the new check and not about a released lintian
version.

Just ignore my previous mail.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. (Tue, 09 Dec 2008 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 478930@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 09 Dec 2008 17:12:05 GMT) Full text and rfc822 format available.

Message #72 received at 478930@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 478930@bugs.debian.org
Cc: Paul Gevers <paul@climbing.nl>
Subject: Re: errors while using the check files under Ubuntu/Hardy
Date: Tue, 9 Dec 2008 18:09:25 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, 09 Sep 2008 19:04:48 -0500, Paul Gevers wrote:
>find: paths must precede expression
>Usage: find [-H] [-L] [-P] [path...] [expression]
>sh: debian/winff.xpm: Permission denied

The *.desc code looks ugly from line 57 onwards: Stitching a shell 
command together like that does not seem very robust.

 - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkk+pkUACgkQn7DbMsAkQLiDpgCfZ8tfSW+lJMzJuoc5BLxOTFOn
sV8An2QhP7kA4cGlE6m+SPHWWCko6I1G
=BXfk
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. (Wed, 31 Dec 2008 07:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 31 Dec 2008 07:30:05 GMT) Full text and rfc822 format available.

Message #77 received at 478930@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: control@bugs.debian.org
Cc: 478930@bugs.debian.org, 498883@bugs.debian.org
Subject: tagging 478930, tagging 498883
Date: Tue, 30 Dec 2008 23:23:12 -0800
# Automatically generated email from bts, devscripts version 2.10.35
# These aren't ready for inclusion
tags 478930 - patch
tags 498883 - patch





Tags removed: patch Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 31 Dec 2008 07:30:08 GMT) Full text and rfc822 format available.

Changed Bug title to `[checks/copyright-file] check for new copyright format' from `lintian: Check for rfc2822 debian/copyright (http://wiki.debian.org/Proposals/CopyrightFormat)'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 11 Jan 2009 04:09:37 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Parent <sathieu@debian.org>' from 'Mathieu Parent <math.parent@gmail.com>' Request was from Mathieu Parent <sathieu@debian.org> to control@bugs.debian.org. (Thu, 24 Sep 2009 19:00:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#478930; Package lintian. (Fri, 02 Jul 2010 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 02 Jul 2010 18:06:03 GMT) Full text and rfc822 format available.

Message #88 received at 478930@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 478930@bugs.debian.org
Subject: Re: [checks/copyright-file] check for new copyright format
Date: Fri, 02 Jul 2010 20:04:33 +0200
In case someone is going to implement this in the future, the missing
field test should check for a Disclaimer: field in the header of contrib
and non-free packages.


Andreas




Forcibly Merged 478930 633779. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 20 Aug 2011 13:27:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 22 Aug 2011 14:03:09 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Aug 2011 17:12:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 28 Aug 2011 17:33:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Oct 2011 07:35:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:56:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.